ExcludeArch: ia64 s390 s390x ppc64

Name: gjdoc
Version: 0.7.4
Release: 5
URL: http://savannah.gnu.org/projects/classpath/
License: GPL
Summary: GNU Javadoc
Group: Development/Tools

Source0: ftp://ftp.gnu.org/gnu/classpath/gjdoc-%{version}.tar.gz
Patch0: gjdoc-checkparamslength.patch
Patch1: gjdoc-parameterimpl.patch
Patch2: gjdoc-0.7.4.ignoreoptioncase.patch
Patch3: gjdoc-0.7.4.noexternalpackagelist.patch
Patch4: gjdoc-0.7.4.nullURL.patch
Patch5: gjdoc-0.7.4.singleQuotes.patch
Patch6: gjdoc-0.7.4.whitespacebeforemembername.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc-java >= 4.0.0-1
BuildPrereq: antlr
BuildPrereq: libgcj >= 4.0.0-1
Requires: libgcj >= 4.0.0-1

%description
A documentation generation system for "javadoc"-style comments.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0

%build
%configure
sed -i 's/^pic_flag=\"\"/pic_flag=\"\ \-fPIC\"/' libtool 
sed -i 's/^compiler_c_o=\"no\"/compiler_c_o=\"yes\"/' libtool 
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

if [ -e $RPM_BUILD_ROOT%{_datadir}/info/dir ]
then
  rm -rf $RPM_BUILD_ROOT%{_datadir}/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 05 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-5
- Add patch to handle single quotes in options (Julian Scheid).
- Add patch to handle lack of whitespace before member names (Julian).

* Thu Apr 28 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-4
- Add patches to ignore option case and deal with some error cases (Julian
  Scheid).

* Tue Apr 26 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-3
- Remove ppc64 as it appears to be hanging during the build.
  Will investigate.

* Mon Apr 25 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-2
- Add patches from head (Julian Scheid).

* Sun Apr 24 2005 Andrew Overholt <overholt@redhat.com> 0.7.4-1
- New version.

* Tue Mar 15 2005 Andrew Overholt <overholt@redhat.com> 0.7.3-1
- New version.

* Wed Mar 09 2005 Andrew Overholt <overholt@redhat.com> 0.7.2-1
- New version.

* Thu Mar 03 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-4
- Add workaround for extraneous directory on x86_64.
- Remove ia64 due to gcc backend bug.

* Wed Mar 02 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-3
- %files tweaking.

* Tue Mar 01 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-2
- Bump for gcc4 -> gcc.
- Re-add libtool hack.

* Fri Feb 25 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-1
- Import new version.

* Wed Feb 09 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre3.1
- Import 0.7.1-pre3.
- Remove libtool breakage workaround.

* Tue Feb 08 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre2.4
- Add workaround for libtool breakage.
- Exclude s390 and s390x.

* Mon Feb 07 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre2
- New upstream version.
- Add README.

* Sat Feb 05 2005 Andrew Overholt <overholt@redhat.com> 0.7.1-0.pre1
- Initial build of upstream pre-release.
- Import gbenson's previous specfile.

%files
%defattr(-,root,root)
%{_bindir}/gjdoc
%{_libdir}/lib-com-sun-javadoc.*
%{_libdir}/lib-com-sun-tools-doclets-Taglet.*
%{_libdir}/lib-gnu-classpath-tools-gjdoc.*
%{_javadir}/com-sun-javadoc-%{version}.jar
%{_javadir}/com-sun-tools-doclets-Taglet-%{version}.jar
%{_javadir}/gnu-classpath-tools-gjdoc-%{version}.jar
%doc %{_infodir}/gjdoc.info.gz
%doc %{_mandir}/man1/gjdoc.1.gz
%doc README
